import { Importable } from './importable';
import { Options } from './options';
/** A general import */
export declare class Import implements Importable {
    name: string;
    typeName: string;
    qualifiedName: string;
    path: string;
    file: string;
    useAlias: boolean;
    fullPath: string;
    importName: string;
    importPath: string;
    importFile: string;
    importTypeName?: string;
    importQualifiedName?: string;
    constructor(name: string, typeName: string, qName: string, path: string, file: string);
}
/**
 * Manages the model imports to be added to a generated file
 */
export declare class Imports {
    private options;
    private _imports;
    constructor(options: Options);
    /**
     * Adds an import
     */
    add(param: string | Importable): void;
    toArray(): Import[];
    get size(): number;
}
